AGB  ·  Datenschutz  ·  Impressum  







Anmelden
Nützliche Links
Registrieren

Package kann nicht geladen werden

Ein Thema von Rainer Wolff · begonnen am 17. Jan 2018 · letzter Beitrag vom 18. Jan 2018
Antwort Antwort
Rainer Wolff

Registriert seit: 25. Okt 2005
Ort: Bretten
242 Beiträge
 
Delphi 10.2 Tokyo Enterprise
 
#1

Package kann nicht geladen werden

  Alt 17. Jan 2018, 18:40
Hallo,

ich kämpfe hier auf einem Rechner schon eine Weile mit meiner Package-Sammlung (Berlin-Installation). Angefangen hat das ganze mit dem Update der Tokyo-Installation von 10.2.1 auf 10.2.2. Dabei hat es mir auch meine Berlin-Installation zerlegt.
Nun versuche ich, meine Package-Sammlung wieder zu installieren und erhalte bei einigen Packages folgende Art von Fehlermeldung:

Code:
---------------------------
Error
---------------------------
Can't load package C:\Users\Public\Documents\Embarcadero\Studio\18.0\Bpl\dclopc240.bpl.
Das angegebene Modul wurde nicht gefunden.
---------------------------
OK  
---------------------------
bpl und auch dcp sind vorhanden im selben Verzeichnis wie alle anderen Packages.
dproj habe ich (mitsamt dcu) schon gelöscht und neu erzeugen lassen.
Die Registry habe ich nach disabled packages durchsucht, negativ
Die selben Packages sind unter Tokyo installiert (zumindest ein Teil davon)

Wer hat noch einen Tipp für mich?
  Mit Zitat antworten Zitat
Benutzerbild von himitsu
himitsu

Registriert seit: 11. Okt 2003
Ort: Elbflorenz
34.931 Beiträge
 
Delphi 10.2 Tokyo Professional
 
#2

AW: Package kann nicht geladen werden

  Alt 17. Jan 2018, 20:36
"Das angegebene Modul wurde nicht gefunden." bezieht sich nicht unbedingt auf dieses Package.
Es kann sich auch um ein Package handeln, welches bei diesem Package in den Requires steht.
usw.

Du kannst mit dem Process Monitor (Sysinternals) schauen, welche Dateien versucht werden zu laden und was wirklich nicht gefunden wird.
Garbage Collector ... Delphianer erzeugen keinen Müll, also brauchen sie auch keinen Müllsucher.
Delphi-Tage 2005-2014

Geändert von himitsu (17. Jan 2018 um 20:40 Uhr)
  Mit Zitat antworten Zitat
Benutzerbild von Uwe Raabe
Uwe Raabe

Registriert seit: 20. Jan 2006
Ort: Lübbecke
6.822 Beiträge
 
Delphi 10.3 Rio
 
#3

AW: Package kann nicht geladen werden

  Alt 17. Jan 2018, 23:07
Es kann sich auch um ein Package handeln, welches bei diesem Package in den Requires steht.
Oder eine DLL, die von dem Package benötigt wird.
Uwe Raabe
Certified Delphi Master Developer
Embarcadero MVP
Blog: The Art of Delphi Programming
  Mit Zitat antworten Zitat
Rainer Wolff

Registriert seit: 25. Okt 2005
Ort: Bretten
242 Beiträge
 
Delphi 10.2 Tokyo Enterprise
 
#4

AW: Package kann nicht geladen werden

  Alt 18. Jan 2018, 09:59
hat geholfen, danke
  Mit Zitat antworten Zitat
Themen-Optionen Thema durchsuchen
Thema durchsuchen:

Erweiterte Suche
Ansicht

Forumregeln

Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are an
Pingbacks are an
Refbacks are aus

Gehe zu:

Impressum · AGB · Datenschutz · Nach oben
Alle Zeitangaben in WEZ +1. Es ist jetzt 04:43 Uhr.
Powered by vBulletin® Copyright ©2000 - 2019, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2019 by Daniel R. Wolf